# Configure default settings for new users

{!admin-only.md!}

Organization administrators can configure the default values of
personal preference settings for new users joining the
organization. This can help seamlessly customize the Zulip experience
to match how the organization in question is using Zulip.

Existing users' preferences cannot be modified by administrators, and
users will be able to customize their own settings once they
join. Administrators can customize defaults for all personal
preference settings, including the following:

* Display settings, including:
    * Default view ([Recent topics](/help/recent-topics) vs. [All messages](/help/reading-strategies#all-messages))
    * [Light theme vs. dark theme](/help/dark-theme)
    * [Emoji theme](/help/emoji-and-emoticons#change-your-emoji-set)
* Notification settings, including:
    * [What types of messages trigger notifications][default-notifications]
    * [Configurations for email notifications](/help/email-notifications)

[default-notifications]: /help/stream-notifications#set-default-notifications-for-all-streams

## How to configure default settings for new users

{start_tabs}

{settings_tab|default-user-settings}

2. Review all settings and adjust as needed.

{end_tabs}

## Related articles

* [Setting up your organization](/help/getting-your-organization-started-with-zulip)
* [Customize settings for new users](/help/customize-settings-for-new-users)
* [Set default streams for new users](/help/set-default-streams-for-new-users)
* [Invite users to join](/help/invite-users-to-join)
